[BRLTTY] [PATCH] Use print function for Python 3 compatibility

Dave Mielke dave at mielke.cc
Mon Nov 5 14:00:00 EST 2012

[quoted lines by Joanmarie Diggs on 2012/11/05 at 07:08 -0500]

>Attached is the first patch that needs to be done on your end. Without
>it, I cannot build the Python 3 bindings. The print function is required
>in Python 3. 

Committed to the development stream. Thanks.

>It was backported to Python 2.6 and later. So this patch is compatible as long 
>as people are not using an ancient version of Python 2. :)

Thanks for considering backward compatibility.

Do you think we should be taking the major Python version number and psasing it 
to Cython (as -number)?

Dave Mielke           | 2213 Fox Crescent | The Bible is the very Word of God.
Phone: 1-613-726-0014 | Ottawa, Ontario   | 2011 May 21 is the End of Salvation.
EMail: dave at mielke.cc | Canada  K2A 1H7   | http://Mielke.cc/now.html
http://FamilyRadio.com/                   | http://Mielke.cc/bible/

More information about the BRLTTY mailing list